"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InstructionsView;
var React = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _normalize = require("../../utils/normalize");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const {
  width: SCREEN_WIDTH,
  height: SCREEN_HEIGHT
} = _reactNative.Dimensions.get('window');
const scaleW = SCREEN_WIDTH / 320;
const scaleH = SCREEN_HEIGHT / 920;
function InstructionsView(_ref) {
  let {
    onVerify,
    onBack
  } = _ref;
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.boxImg
  }, /*#__PURE__*/React.createElement(_reactNative.TouchableOpacity, {
    onPress: () => onBack(),
    style: styles.navigationBar
  }, /*#__PURE__*/React.createElement(_reactNative.Image, {
    source: require('../../assets/images/left-arrow.png'),
    style: styles.leftArrow
  })), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.imgContainer
  }, /*#__PURE__*/React.createElement(_reactNative.Image, {
    source: require('../../assets/images/img_face.png'),
    style: styles.imgFace
  }))), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.boxBtn
  }, /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.title
  }, "Reconhecimento Facial"), /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.subtitle
  }, "Isso garante que voc\xEA \xE9 voc\xEA mesmo."), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.intructions
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.rowInstructions
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.boxIcon
  }, /*#__PURE__*/React.createElement(_reactNative.Image, {
    source: require('../../assets/images/lightbulb_outline.png')
  })), /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.boxText
  }, "Escolha um ambiente bem iluminado.")), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.rowInstructions
  }, /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.boxIcon
  }, /*#__PURE__*/React.createElement(_reactNative.Image, {
    source: require('../../assets/images/face.png')
  })), /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.boxText
  }, "N\xE3o use acess\xF3rios como bon\xE9s, m\xE1scaras e afins."))), /*#__PURE__*/React.createElement(_reactNative.View, {
    style: styles.viewBtn
  }, /*#__PURE__*/React.createElement(_reactNative.TouchableOpacity, {
    onPress: () => onVerify(),
    style: styles.nextBtn
  }, /*#__PURE__*/React.createElement(_reactNative.Text, {
    style: styles.nextText
  }, "Continuar")))));
}
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    backgroundColor: '#1648CD',
    width: '100%',
    justifyContent: 'center'
  },
  rowInstructions: {
    width: '100%',
    flex: 2,
    alignItems: 'center',
    flexDirection: 'row'
  },
  viewBtn: {
    width: '90%',
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center'
  },
  navigationBar: {
    width: '100%'
  },
  intructions: {
    width: '90%',
    flex: 1.5
  },
  boxIcon: {
    width: 64,
    height: 64,
    alignItems: 'center',
    justifyContent: 'center',
    borderColor: '#E0E0E0',
    borderWidth: 1,
    backgroundColor: '#F5f5f5',
    borderRadius: 100
  },
  boxText: {
    paddingLeft: 20,
    width: '75%',
    color: '#000000',
    fontSize: (0, _normalize.normalize)(25, scaleW)
  },
  imgContainer: {
    flex: 1,
    width: '90%',
    alignItems: 'center',
    justifyContent: 'flex-end'
  },
  title: {
    marginTop: 30,
    marginLeft: 20,
    width: '90%',
    fontSize: (0, _normalize.normalize)(29, scaleW),
    fontWeight: 'bold',
    /* fontFamily: 'Ubuntu-Bold', */
    color: '#1E1E1E'
  },
  nextBtn: {
    width: 300,
    backgroundColor: '#05D758',
    alignItems: 'center',
    fontWeight: 900,
    borderRadius: 50,
    marginTop: 0
  },
  nextText: {
    /* fontFamily: 'Ubuntu-Medium', */
    fontSize: (0, _normalize.normalize)(25, scaleW),
    margin: 13,
    color: '#000000'
  },
  description_one: {
    textAlign: 'center',
    color: '#FFFFFF',
    /* fontFamily: 'Ubuntu-Bold', */
    fontSize: 30,
    marginLeft: 60,
    marginRight: 60,
    marginTop: 10
  },
  boxInfo: {
    width: '100%',
    paddingTop: 15,
    alignItems: 'center',
    backgroundColor: '#037eee'
  },
  boxBtn: {
    width: '100%',
    flex: _reactNative.Platform.OS === 'ios' ? 1 : 1.3,
    borderTopLeftRadius: 35,
    borderTopRightRadius: 35,
    height: '100%',
    alignItems: 'center',
    backgroundColor: '#FFFFFF'
  },
  boxImg: {
    width: '100%',
    flex: 1,
    height: '100%',
    alignItems: 'center'
  },
  subtitle: {
    /* fontFamily: 'Ubuntu-Regular', */
    fontSize: (0, _normalize.normalize)(20, scaleW),
    marginLeft: 20,
    width: '90%',
    color: '#666666',
    paddingBottom: 25
  },
  iconTop: {
    marginTop: 60,
    marginLeft: 20,
    width: 55,
    height: 55
  },
  leftArrow: {
    marginTop: (0, _normalize.normalize)(70, scaleH),
    marginLeft: 20,
    width: 25,
    height: 25
  },
  imgFace: {
    height: '100%',
    flex: 1,
    aspectRatio: 4 / 4.4
  },
  waveTop: {
    flex: 1,
    width: '100%',
    height: 400
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
//# sourceMappingURL=InstructionsView.js.map